@import url("https://cdn.jsdelivr.net/npm/@xz/fonts@1/serve/liberation-mono.min.css");

/* general */

* {
	margin: 0px;
	padding: 0px;
	cursor: default;
	user-select: none;
	-ms-user-select: none; 
	-moz-user-select: none;
	-webkit-user-select: none;
	-webkit-tap-highlight-color: rgba(255, 255, 255, 0);
	font-family: "Liberation Mono", sans-serif;
	scrollbar-width: none;
}

::-webkit-scrollbar { 
    display: none; 
}


.npe, .info {
	pointer-events: none;
}

.npe {
	color: #626262;
}

.npe.station, .npe.region {
	padding-top: 30px;
}

.back, .back2 {
	margin-top: 30px;
}

body {
	 width: 100%;
	 height: calc(var(--vh, 1vh) * 100);
	 overflow: hidden;
	 background: black;
	 color: #e7e6e2;
	 font-size: 20px;
}

#contentarea {
	margin: auto;
	width: 100%;
	height: calc(var(--vh, 1vh) * 100);
	max-width: 480px;
	min-width: 360px;
	overflow: hidden;
}

#stations {
	background: #1f2022;
	height: calc(100% - 53px);
	overflow: scroll;
}

#countries {
	top: 5px;
	left: 0px;
	width: 240px;
	height: calc(100% - 53px);
	background: #1f2022;
	overflow: scroll;
	display: none;
	float: left;
	margin-right: 5px;
}

#content {
	padding-bottom: 66px;
}

.station, .region {
	display: block;
	height: 30px;
	line-height: 30px;
	width: calc(100% - 10px);
	padding-left: 10px;
	overflow: hidden;
	cursor: pointer;
}

.space {
	display: block;
	height: 15px;
	width: 100%;
}

.activestation, .activeregion, .activecontent {
	background: #2b2f32;
}

#block {
	position: absolute;
	width: 100%;
	max-width: 480px;
	height: calc(100% - 84px);
	bottom: 84px;
	background: black;
	cursor: pointer;
	opacity: 0.5;
}

#regions {
	position: absolute;
	bottom: 84px;
	width: 100%;
	max-width: 480px;
	min-width: 360px;
	max-height: calc(100% - 85px);
	background: #18191b;
	z-index: 1;
	overflow: scroll;
	border-bottom: 1px solid #313538;
}

#regionbar {
	position: absolute;
	bottom: 48px;
	width: 100%;
	max-width: 480px;
	min-width: 360px;
	height: 36px;
	background: #18191b;
	cursor: pointer;
	touch-action: pan-x;
}

#selected_region {
	float: left;
	padding-left: 10px;
	width: calc(100% - 54px);
	height: 100%;
	line-height: 36px;
	cursor: pointer;
}

#arrow {
	font-size: 12px;
	float: left;
	cursor: pointer;
	line-height: 36px;
	width: 24px;
	padding: 0px 10px;
	text-align: center;
}

#bottombar {
	position: absolute;
	bottom: 0px;
	width: 100%;
	max-width: 480px;
	min-width: 360px;
	height: 48px;
	background: #313538;
	touch-action: pan-x;
}

#bottombar span {
	line-height: 48px;
}

#player {
	float: left;
	height: 48px;
	width: 0%;
	text-align: center;
	cursor: pointer;
}

.control {
	float: left;
	height: 48px;
	width: 33.33%;
	text-align: center;
	cursor: pointer;
}

.control a {
	cursor: pointer;
}

.hidden {
	display: none;
}

.hiddentimer {
	display: none !important;
}

#minutes {
	display: none;
}

.loading {
	top: 50%;
	position: relative;
	width: 100%;
	text-align: center;
	display: block;
}

@media (pointer: fine) {
	.station:hover, .region:hover {
		background: #2b2f32;
	}
	.control:hover {
		font-weight: bold;
	}
}

@media only screen and (orientation: landscape) and (min-width: 1000px) {
	#contentarea {
		max-width: 845px;
		max-height: 600px;
	}

	#stations {
		width: 600px;
	}
	
	#countries {
		display: block;
	}
	
	#bottombar, #regionbar, #regions, #block {
		max-width: 845px;
	}
	
	.back {
		display: none;
	}
	#bottombar {
		border-radius: 0px 0px 10px 10px;
	}
	#countries {
		border-radius: 10px 0px 0px 0px;
	}
	#stations {
		border-radius: 0px 10px 0px 0px;
	}
}

@media only screen and (orientation: landscape) and (min-width: 1000px) and (min-height: 600px) {
	#contentarea {
		margin-top: calc((100vh - 600px)/2);
	}
	#regions, #block {
		bottom: calc((100vh - 600px)/2 + 84px);
		max-height: calc(600px - 85px);
	}
	#block {
		max-height: calc(600px - 84px);
	}
	#regionbar {
		bottom: calc((100vh - 600px)/2 + 48px);
	}
	#bottombar {
		bottom: calc((100vh - 600px)/2);
	}
}
